Subject: Re: [PATCH] PPC/PPC64: Introduce CPU_HAS_FEATURE() macro

From: Pekka Enberg <[email-masked]>
Date: Fri, 4 Feb 2005 10:17:48 +0200

Hi,

On Fri, 4 Feb 2005 01:22:54 -0600, Olof Johansson <[email-masked]> wrote:
> +#define CPU_HAS_FEATURE(x)     (cur_cpu_spec->cpu_features & CPU_FTR_##x)
> +

Please drop the CPU_FTR_##x macro magic as it makes grepping more
complicated. If the enum names are too long, just do s/CPU_FTR_/CPU_/g
or something similar. Also, could you please make this a static inline
function?

                                  Pekka